// PValue.h
//
// OOF object wrapper for simple data types like integers,
// floats, and strings.  Returns itself under -evalWith:.
//
// To get the actual data use -element and -elementType,
// or use the convenience functions getStringValue(),
// getIntValue(), which are designed to work with a variety
// of OpenStep, libobjects, and OOF classes.
//
//----------------------------------------------------------------
// OOF Parser Package
// Copyright 1995 by Paul Burchard
// Distributed according to the GNU Library General Public License
//----------------------------------------------------------------

#import <Foundation/NSObject.h>
#import "ParserValuing.h"

extern BOOL getStringValue(id anObj, const char **value);
extern BOOL getIntValue(id anObj, int *value);

@interface PValue:NSObject <ParserValuing>
{
	const char *type;
	elt value;
}
// Note: valueEncoding must be constant string
- initElement:(elt)aValue type:(const char *)valueEncoding;
- (void)setElement:(elt)val;
- (elt)element;   // object's own value, non-autoreleased
- (const char *)elementType;
- deepenCopy;     // for subclassing -copy
@end

