// Parsing.h
//
// The <Parsing> protocol must be implemented by all
// functions in the Parser package's OOF (object-oriented
// functional) language.
//
// The protocol has two components.  First, the
// <IndexedCollecting> protocol gives flexible access
// to the function arguments.
//
// Second, since the purpose of parser parsing is to
// produce functions as function values, all functions are
// also required to satisfy the <ParserValuing> protocol.
//
//----------------------------------------------------------------
// OOF Parser Package
// Copyright 1995 by Paul Burchard
// Distributed according to the GNU Library General Public License
//----------------------------------------------------------------

#import <objects/IndexedCollecting.h>
#import "ParserValuing.h"

@protocol Parsing <ParserValuing, IndexedCollecting>
@end

